Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.logparse
Interface LogParseInterface

All Known Implementing Classes:
  BaseLogParser, LogParse, SimpleLogParser

    public interface LogParseInterface

Method Summary
`void` | `DontLog(Long stat)`
`void` | `DontLog(String url)`
`double` | `getTimeMultiplier()`
`void` | `initConfig(double timeMultiplier, String regex)`
`RtStat` | `parseLine(String currrent)`
`Hashtable` | `parseLog(File f, String re, long len, Integer ID, int svcType, long[] parsedlen, boolean collectIPs)`
`Hashtable` | `parseLog(String fname, String re, Integer ID, boolean collectIPs)`
`Hashtable` | `parseLog(String fname, String re, Integer ID, int svcType, boolean collectIPs)`
`Hashtable` | `parseLog(String fname, String re, long len, Integer ID, boolean collectIPs)`
`Hashtable` | `parseLog(String fname, String re, long len, Integer ID, int svcType, long[] parsedlen, boolean collectIPs)`
`void` | `postFileParse(File f)`
`void` | `setTimeMultiplier(double mult)`
`void` | `urlDontLog(ArrayList urls)`

Method Detail

### initConfig

    void initConfig(double timeMultiplier,
                    String regex)

### parseLine

    RtStat parseLine(String currrent)

### parseLog

    Hashtable parseLog(String fname,
                       String re,
                       Integer ID,
                       boolean collectIPs)
                       throws IOException

  Throws:
    `IOException`

### parseLog

    Hashtable parseLog(String fname,
                       String re,
                       Integer ID,
                       int svcType,
                       boolean collectIPs)
                       throws IOException

  Throws:
    `IOException`

### parseLog

    Hashtable parseLog(String fname,
                       String re,
                       long len,
                       Integer ID,
                       boolean collectIPs)
                       throws IOException

  Throws:
    `IOException`

### parseLog

    Hashtable parseLog(String fname,
                       String re,
                       long len,
                       Integer ID,
                       int svcType,
                       long[] parsedlen,
                       boolean collectIPs)
                       throws IOException

  Throws:
    `IOException`

### parseLog

    Hashtable parseLog(File f,
                       String re,
                       long len,
                       Integer ID,
                       int svcType,
                       long[] parsedlen,
                       boolean collectIPs)
                       throws IOException

  Throws:
    `IOException`

### setTimeMultiplier

    void setTimeMultiplier(double mult)

### getTimeMultiplier

    double getTimeMultiplier()

### DontLog

    void DontLog(Long stat)

### DontLog

    void DontLog(String url)

### urlDontLog

    void urlDontLog(ArrayList urls)

### postFileParse

    void postFileParse(File f)
                       throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.